import Request from '../common/request.js';
let request = new Request().http

// 获取空中课堂列表
export function getOnlineLectureList(data) {
	return request('/app/liveBroadcast/list', data, 'GET');
}

// 获取开播链接
export function getBroadcastUrl(data) {
	return request('/store/app/onlineLecture/getBroadcastUrl', data, 'GET');
}

// 进入微信小程序
export function enterMiniProgram(data) {
	return request('/store/app/onlineLecture/enterMiniProgram', data, 'POST', 'application/json;charset=UTF-8');
}

// 开始直播
export function startBroadcast(data) {
	return request('/store/app/onlineLecture/startBroadcast', data, 'POST', 'application/json;charset=UTF-8');
}

// 继续直播
export function continueBroadcast(data) {
	return request('/store/app/onlineLecture/continueBroadcast', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取讲座详情
export function getLectureDetail(data) {
	return request('/app/liveBroadcast/'+data, data, 'GET');
}

// 结束直播
export function endBroadcast(data) {
	return request('/store/app/onlineLecture/endBroadcast', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取直播状态
export function getBroadcastStatus(data) {
	return request('/store/app/onlineLecture/getBroadcastStatus', data, 'GET');
}

// 获取讲座状态列表
export function getLectureStatusList() {
	return request('/store/app/onlineLecture/getStatusList', null, 'GET');
}













